< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v3
  Definition Classes
    ct600
-  package retriever
  Definition Classes
    v3
- AboutThisReturnBoxRetriever
- CT600BoxRetriever
- CT600DeclarationBoxRetriever
- RepaymentsBoxRetriever

t

uk.gov.hmrc.ct.ct600.v3.retriever

# AboutThisReturnBoxRetriever 

###

#### trait AboutThisReturnBoxRetriever extends BoxRetriever

Self Type
  AboutThisReturnBoxRetriever with AccountsBoxRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
Known Subclasses
CT600BoxRetriever
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AboutThisReturnBoxRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def b40(): B40
2.  abstract def b45Input(): B45Input
3.  abstract def b5(): B5
4.  abstract def b55(): B55
5.  abstract def b6(): B6
6.  abstract def b65(): B65
7.  abstract def b7(): B7
8.  abstract def b8(): B8
9.  abstract def b80A(): B80A
10.  abstract def b85A(): B85A
11.  abstract def b90A(): B90A
12.  abstract def generateValues: Map[String, CtValue[_]]
    Definition Classes
      BoxRetriever

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def b115(): B115
6.  def b140(): B140
7.  def b30(): B30
8.  def b35(): B35
9.  def b45(): B45
10.  def b50(): B50
11.  def b95(): B95
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]
    Definition Classes
      BoxRetriever
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped